## spterm 3.3

=== CMakeLists.txt ===
# Min. CMake Version: 3.13
cmake_minimum_required(VERSION 3.13)
# Set project and language
project(spterm C)
# Set target name
set(TARGET "spterm")
# Add project source as executable
add_executable(${TARGET} src/${TARGET}.c src/${TARGET}.h)
# Check PkgConfig
find_package(PkgConfig REQUIRED)
if (PKG_CONFIG_FOUND)
  # Check, add and link GTK3
  pkg_check_modules(GTK REQUIRED "gtk+-3.0>=3.18.9")
  if (GTK_FOUND)
    target_link_libraries(${TARGET} ${GTK_LIBRARIES})
    add_definitions(${GTK_CFLAGS} ${GTK_CFLAGS_OTHER})
  endif()
  # Check, add and link VTE
  pkg_check_modules(VTE REQUIRED "vte-2.91>=0.42.5")
  if (VTE_FOUND)
    target_link_libraries(${TARGET} ${VTE_LIBRARIES})
    add_definitions(${VTE_CFLAGS} ${VTE_CFLAGS_OTHER})
  endif()
endif()
# Compile options
target_compile_options(${TARGET} PRIVATE -Wall -Wno-deprecated-declarations)
# Install target to bin directory
install(TARGETS ${TARGET} RUNTIME DESTINATION bin)

=== Makefile ===
# Project & compiler information
NAME=spterm
CFLAGS=-s -O3 -Wall -Wno-deprecated-declarations $(shell pkg-config --cflags vte-2.91)
LIBS=$(shell pkg-config --libs vte-2.91)
CC=gcc
all: clean build

# Build the project
build:
	mkdir build || true
	$(CC) $(CFLAGS) src/$(NAME).c -o build/$(NAME) $(LIBS)
	cp .config/$(NAME).desktop build/
	#cp README.md build/
	gzip -cn man/$(NAME).1 > build/$(NAME).1.gz

# Make the installation
install:
	# Create directories if they don't exist
	mkdir $(TARGET)/usr/bin || true
	#mkdir $(TARGET)/usr/share/applications || true
	mkdir $(TARGET)/usr/share/doc || true
	mkdir $(TARGET)/usr/share/man/man1 || true
	# Install binary
	install -Dm 755 build/$(NAME) -t $(TARGET)/usr/bin
	# Install desktop entry
	#install -Dm 644 build/$(NAME).desktop -t $(TARGET)/usr/share/applications
	# Install README.md
	install -Dm 644 README.md -t $(TARGET)/usr/share/doc
	# Install man page
	install -Dm 644 build/$(NAME).1.gz -t $(TARGET)/usr/share/man/man1

# Clean
clean:
	rm -rf build

=== debian/changelog ===
spterm (3.3-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Wed, 17 Mar 2021 18:48:30 +0100

=== debian/control ===
Source: spterm
Section: System
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper-compat (= 11), build-essential, coreutils, libvte-2.91-dev, libgtk-3-dev, make, cmake, gcc
Standards-Version: 3.9.6
Homepage: https://github.com/sparkylinux/spterm

Package: spterm
Architecture: any
Depends: coreutils, libvte-2.91-0, libgtk-3-0
Description: spterm
  A very simple, VTE based terminal emulator.
  .
  It is a fork off k3rmit.
